#ifndef SUI_BASE_EX_H
#define SUI_BASE_EX_H

#include <QFontDatabase>
#include <QDir>
#include "common.h"
#include "sui_base.h"
#include <iostream>
#include <filesystem>
#include "3rdparty/json/json.hpp"
using json = nlohmann::json;
namespace fs = std::filesystem;
extern void sui_init_config();
extern void sui_init_font_table();
extern void sui_init_style_table();
extern void sui_init_lang_table();
extern void sui_json_to_data();
extern json sui_data_to_json(json);
extern void sui_save_json();
#endif